Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041077
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Send By Emailmajoralways2019-06-12 11:512019-07-11 18:55
ReporternicolasurizView Statuspublic 
Assigned Torqueralta 
PriorityhighResolutionfixedFixed in VersionRR19Q3
StatusclosedFix in branchFixed in SCM revision9d455c0f1fd0
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041077: Multiselection printer JS error while printing a Ticket of a BP with e-mail configuration.

DescriptionIf you add one BP with the e-mail configuration done of invoice by e-mail, at the moment of selecting to send by e-mail or print the order, if you select the print option, no printer is selected and if you click on apply, a JS error is displayed.

Another way to reproduce this JS error is just to do a cashup, and when finalizing the process, no printer is selected by default and when clicking on apply, the JS error is displayed.
Steps To Reproduce1. Activate the e-mail configuration in the environment and to the BP.
2. Add this BP to the current ticket in WebPOS.
3. Add one product to the ticket and fully pay it.
4. Select the option "print" in the "Receipt Delivery" popup.
5. Check that no printer is selected by defect
6. Click on Apply and see the JS error displayed.

2nd way:
1. Do a cashup
2. Finish the process
3. Check that no printer is selected by default
4. Click on apply
5. The JS error is displayed.
Proposed Solution1. Not to see the JS error, instead of it, see an error popup in WebPOS that it is not possible to continue without selecting a printer.

2. The other option is to have selected always one printer by defect, and if we click on apply it will be printed and no JS error will be displayed.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0112952)
hgbot (developer)
2019-06-24 04:45

Repository: erp/pmods/org.openbravo.retail.sendemail
Changeset: b2773710d6e8ea3cad6a879cb848785d7db41e42
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Sun Jun 23 22:41:50 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sendemail/rev/b2773710d6e8ea3cad6a879cb848785d7db41e42 [^]

Fixed issue 41077: Multiselection printer JS error while printing a Ticket of a
BP with e-mail configuration.

-Selected print option by default and removed unused Backbone and console reference

---
M web/org.openbravo.retail.sendemail/source/obsmail_modalgetemailaddress.js
---
(0113073)
guilleaer (developer)
2019-06-27 18:08

1. Revert change
2. Apply format to module
3. Work on a correct fix based on the reported problem
(0113081)
hgbot (developer)
2019-06-27 23:46

Repository: erp/pmods/org.openbravo.retail.sendemail
Changeset: 5b9e2dc342ed2e7196dc62cfb79da9134d75734c
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Thu Jun 27 17:44:23 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sendemail/rev/5b9e2dc342ed2e7196dc62cfb79da9134d75734c [^]

Fixed issue 41077: Multiselection printer JS error while printing a Ticket of a
BP with e-mail configuration.

- Uncheck button print

---
M web/org.openbravo.retail.sendemail/source/obsmail_modalgetemailaddress.js
---
(0113121)
nicolasuriz (developer)
2019-07-01 17:14
edited on: 2019-07-01 17:14

Check this video in case of doubts:
https://drive.google.com/file/d/1tFADhXjEWk9jjHmK-dwWKNcrooJYZNl6/view [^]

(0113153)
hgbot (developer)
2019-07-03 15:34

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 9d455c0f1fd0a6595a144c0e91f181b01d65d1e8
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Mon Jul 01 17:51:47 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9d455c0f1fd0a6595a144c0e91f181b01d65d1e8 [^]

Fixed issue 41077: Multiselection printer JS error while printing a Ticket of a
BP with e-mail configuration.

- By default the main printer is selected, but if the terminal don't have a main
printer, no printer is selected by default. Now always we will have one printer
by defect

---
M web/org.openbravo.retail.posterminal/js/components/modalselectprinters.js
---
(0113300)
guilleaer (developer)
2019-07-11 18:55

reclosed

- Issue History
Date Modified Username Field Change
2019-06-12 11:51 nicolasuriz New Issue
2019-06-12 11:51 nicolasuriz Assigned To => Retail
2019-06-12 11:51 nicolasuriz Triggers an Emergency Pack => No
2019-06-12 15:10 rqueralta Status new => scheduled
2019-06-12 15:42 guillermogil Category Web POS => Send By Email
2019-06-24 04:45 hgbot Checkin
2019-06-24 04:45 hgbot Note Added: 0112952
2019-06-24 04:45 hgbot Status scheduled => resolved
2019-06-24 04:45 hgbot Resolution open => fixed
2019-06-24 04:45 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.sendemail/rev/b2773710d6e8ea3cad6a879cb848785d7db41e42 [^]
2019-06-24 19:19 marvintm Assigned To Retail => rqueralta
2019-06-27 18:08 guilleaer Note Added: 0113073
2019-06-27 18:08 guilleaer Status resolved => new
2019-06-27 18:08 guilleaer Resolution fixed => open
2019-06-27 23:46 hgbot Checkin
2019-06-27 23:46 hgbot Note Added: 0113081
2019-06-27 23:46 hgbot Status new => resolved
2019-06-27 23:46 hgbot Resolution open => fixed
2019-06-27 23:46 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.sendemail/rev/b2773710d6e8ea3cad6a879cb848785d7db41e42 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.sendemail/rev/5b9e2dc342ed2e7196dc62cfb79da9134d75734c [^]
2019-06-28 09:10 guilleaer Status resolved => new
2019-06-28 09:10 guilleaer Resolution fixed => open
2019-06-28 13:30 guilleaer Status new => feedback
2019-07-01 17:14 nicolasuriz Note Added: 0113121
2019-07-01 17:14 nicolasuriz Status feedback => new
2019-07-01 17:14 nicolasuriz Note Edited: 0113121 View Revisions
2019-07-03 15:34 hgbot Checkin
2019-07-03 15:34 hgbot Note Added: 0113153
2019-07-03 15:34 hgbot Status new => resolved
2019-07-03 15:34 hgbot Resolution open => fixed
2019-07-03 15:34 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.sendemail/rev/5b9e2dc342ed2e7196dc62cfb79da9134d75734c [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9d455c0f1fd0a6595a144c0e91f181b01d65d1e8 [^]
2019-07-03 18:11 nicolasuriz Description Updated View Revisions
2019-07-03 18:11 nicolasuriz Steps to Reproduce Updated View Revisions
2019-07-03 19:01 marvintm Review Assigned To => marvintm
2019-07-03 19:01 marvintm Status resolved => closed
2019-07-03 19:01 marvintm Fixed in Version => RR19Q3
2019-07-11 15:31 hgbot Checkin
2019-07-11 15:31 hgbot Note Added: 0113274
2019-07-11 15:31 hgbot Status closed => resolved
2019-07-11 15:31 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9d455c0f1fd0a6595a144c0e91f181b01d65d1e8 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-discounts/rev/9d455c0f1fd0a6595a144c0e91f181b01d65d1e8 [^]
2019-07-11 18:55 guilleaer Note Deleted: 0113274
2019-07-11 18:55 guilleaer Note Added: 0113300
2019-07-11 18:55 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker